Foros del Web » Programando para Internet » PHP »

Seguridad--> Bug en Funcion Wordwrap()

Estas en el tema de Seguridad--> Bug en Funcion Wordwrap() en el foro de PHP en Foros del Web. Desbordamiento de buffer en una función de PHP Securitytracker anunció que las versiones superiores a la 4.1.2 -a excepción de la 4.3.0- de PHP se ...
  #1 (permalink)  
Antiguo 30/12/2002, 21:06
Avatar de fmmeson  
Fecha de Ingreso: enero-2002
Ubicación: Tucuman
Mensajes: 401
Antigüedad: 15 años, 10 meses
Puntos: 2
Exclamación Seguridad--> Bug en Funcion Wordwrap()

Desbordamiento de buffer en una función de PHP

Securitytracker anunció que las versiones superiores a la 4.1.2 -a excepción de la 4.3.0- de PHP se encuentran afectadas por un problema de desbordamiento de buffer.

La vulnerabilidad tiene su origen en la función Wordwrap(), que se ocupa de realizar el ajuste automático de líneas de texto. En la práctica, un atacante podrá -de forma remota- explotar el mencionado problema para provocar una denegación de servicio sobre el servidor web. Para conseguir su objetivo el usuario malicioso debería introducir un texto en alguna aplicación que utilice la función Wordwrap() para tratar la información.

Según publica Securitytracker, a través de esta vulnerabilidad también sería posible ejecutar código, si bien este tipo de ataque requiere una mayor complejidad.

Ya se encuentra disponible la versión 4.3.0 para corregir este problema.
------------------------------------------------------------------------------------
Asi que amigos ACTUALIZEN sus versiones de PHP
  #2 (permalink)  
Antiguo 31/12/2002, 01:55
Avatar de Aleph  
Fecha de Ingreso: agosto-2001
Ubicación: Kenolandia
Mensajes: 1.061
Antigüedad: 16 años, 3 meses
Puntos: 3
Gracias por el dato

Saludos.
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 11:01.